CPANPLUS::Module::Author(3)

NAME
CPANPLUS::Module::Author

SYNOPSIS
    my $author = CPANPLUS::Module::Author->new(
                    author  => 'Jack Ashton',
                    cpanid  => 'JACKASH',
                    _id     => INTERNALS_OBJECT_ID,
                );

    $author->cpanid;
    $author->author;
    $author->email;

    @dists  = $author->distributions;
    @mods   = $author->modules;

    @accessors = CPANPLUS::Module::Author->accessors;

DESCRIPTION
"CPANPLUS::Module::Author" creates objects from the information in the source files. These can then be used to query on.

These objects should only be created internally. For "fake" objects, there's the "CPANPLUS::Module::Author::Fake" class.

ACCESSORS
An objects of this class has the following accessors:

author
    Name of the author.

cpanid
    The CPAN id of the author.

email
    The email address of the author, which defaults to '' if not provided.

parent
    The "CPANPLUS::Internals::Object" that spawned this module object.

METHODS

  $auth = CPANPLUS::Module::Author->new( author => AUTHOR_NAME, cpanid => CPAN_ID, _id => INTERNALS_ID [, email => AUTHOR_EMAIL] )
This method returns a "CPANPLUS::Module::Author" object, based on the given parameters.

Returns false on failure.

  @mod_objs = $auth->modules()
Return a list of module objects this author has released.

  @dists = $auth->distributions()
Returns a list of module objects representing all the distributions this author has released.

CLASS METHODS

  accessors ()
Returns a list of all accessor methods to the object